Page MenuHomePhabricator

Let search with "all:" keyword on non-English projects, not only with its translations
Closed, ResolvedPublic

Description

Currently on non-English projects, you can't use all: syntax (all: in the beginning of a query or prefix:all: in the ending) to search across all namespaces. Instead, you can use its translated versions, such as: все: on ruwiki, alle: on dewiki etc. Given that all other keywords are English-language and, for ruwiki, with prefix:все: you have to switch keyboard layout, it's unuseful and counterintuitive.

Step to reproduce: follow the links:

Interestingly, all: syntax is mentioned on ruwiki search help page, so probably it worked some time ago.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 11 2017, 11:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Kf8 added a subscriber: Kf8.May 11 2017, 11:32 PM
Base added a subscriber: Base.May 12 2017, 12:13 AM

As I can see, this isn't working in other non-English project either. For instance, dewiki (works with alle:, not with all:).

Jack_who_built_the_house renamed this task from Let search with "all:" keyword on ruwiki, not only with its translation "все:" to Let search with "all:" keyword on non-English projects, not only with its translations.May 13 2017, 5:09 PM
Jack_who_built_the_house updated the task description. (Show Details)
debt triaged this task as Normal priority.Jun 8 2017, 5:24 PM
debt moved this task from needs triage to Up Next on the Discovery-Search board.
debt added a subscriber: debt.

This should be fairly easy to take care of.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 8 2017, 5:24 PM
putnik added a subscriber: putnik.Sep 22 2017, 10:04 AM
dcausse claimed this task.May 11 2018, 1:02 PM
dcausse moved this task from Up Next to Current work on the Discovery-Search board.

Change 432578 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/core@master] Allow 'all:' on all wikis in addition to 'searchall' translation

https://gerrit.wikimedia.org/r/432578

Change 432578 merged by jenkins-bot:
[mediawiki/core@master] Allow 'all:' on all wikis in addition to 'searchall' translation

https://gerrit.wikimedia.org/r/432578

debt closed this task as Resolved.Jun 1 2018, 1:49 PM